Skip to main content
POST
/
v1
/
callback
Place a web callback
curl --request POST \
  --url https://api.wave.sa/v1/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "<string>",
  "from_queue": "<string>",
  "caller_id_name": "<string>",
  "caller_id_number": "<string>",
  "webhook_url": "<string>",
  "metadata": {}
}
'
{
  "call_id": "call_abc123",
  "status": "initiated",
  "sandbox": true,
  "vitalpbx_channel_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your sandbox API key from the Wave dashboard. Send as Authorization: Bearer sk_sandbox_....

Headers

x-wave-simulate
enum<string>

Sandbox-only. Force a simulated error variant for testing. Ignored by production keys.

Available options:
rate_limit,
invalid_queue,
queue_unavailable,
server_error,
invalid_number

Body

application/json
to
string
required
Pattern: ^(\+966|0)(1[1-9]\d{7}|5\d{8}|800\d{7}|9200\d{6})$
from_queue
string
caller_id_name
string
Maximum string length: 64
caller_id_number
string
webhook_url
string<uri>
Pattern: ^https\:\/\/
metadata
object

Response

Callback initiated

call_id
string
Example:

"call_abc123"

status
enum<string>
Available options:
initiated
Example:

"initiated"

sandbox
boolean
Example:

true

vitalpbx_channel_id
string
created_at
string<date-time>